[Overview][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'LazHelpIntf' (#lcl)

# CreateNodeQueryListAndAdd

Ensures the THelpNodeQueryList instance has been created prior to adding the specified help query item.

## Declaration

Source position: lazhelpintf.pas line 604

`procedure CreateNodeQueryListAndAdd(`
`const ANode: THelpNode;`
`const QueryItem: THelpQueryItem;`
`var List: THelpNodeQueryList;`
`OnlyIfNotExists: Boolean`
`);`

## Arguments

`ANode` |  | Help node to locate in the list of query items.
`QueryItem` |  | Query item for the help node.
`List` |  | List examined in the routine.
`OnlyIfNotExists` |  | Indicates if the help node and query item are added only when they do not already exist in the list.